dump_printf: add "%C" for dumping cgraph_node *
[official-gcc.git] / gotools / Makefile.in
blobd1db6316c1db8753ea94cdcd9f116ee209ff86e3
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 # Makefile for gotools
18 # Copyright (C) 2015-2016 Free Software Foundation, Inc.
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
34 VPATH = @srcdir@
35 am__is_gnu_make = { \
36 if test -z '$(MAKELEVEL)'; then \
37 false; \
38 elif test -n '$(MAKE_HOST)'; then \
39 true; \
40 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
41 true; \
42 else \
43 false; \
44 fi; \
46 am__make_running_with_option = \
47 case $${target_option-} in \
48 ?) ;; \
49 *) echo "am__make_running_with_option: internal error: invalid" \
50 "target option '$${target_option-}' specified" >&2; \
51 exit 1;; \
52 esac; \
53 has_opt=no; \
54 sane_makeflags=$$MAKEFLAGS; \
55 if $(am__is_gnu_make); then \
56 sane_makeflags=$$MFLAGS; \
57 else \
58 case $$MAKEFLAGS in \
59 *\\[\ \ ]*) \
60 bs=\\; \
61 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
63 esac; \
64 fi; \
65 skip_next=no; \
66 strip_trailopt () \
67 { \
68 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69 }; \
70 for flg in $$sane_makeflags; do \
71 test $$skip_next = yes && { skip_next=no; continue; }; \
72 case $$flg in \
73 *=*|--*) continue;; \
74 -*I) strip_trailopt 'I'; skip_next=yes;; \
75 -*I?*) strip_trailopt 'I';; \
76 -*O) strip_trailopt 'O'; skip_next=yes;; \
77 -*O?*) strip_trailopt 'O';; \
78 -*l) strip_trailopt 'l'; skip_next=yes;; \
79 -*l?*) strip_trailopt 'l';; \
80 -[dEDm]) skip_next=yes;; \
81 -[JT]) skip_next=yes;; \
82 esac; \
83 case $$flg in \
84 *$$target_option*) has_opt=yes; break;; \
85 esac; \
86 done; \
87 test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 target_triplet = @target@
109 subdir = .
110 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
111 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
112 $(top_srcdir)/../config/depstand.m4 \
113 $(top_srcdir)/../config/lead-dot.m4 \
114 $(top_srcdir)/../config/override.m4 $(top_srcdir)/configure.ac
115 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116 $(ACLOCAL_M4)
117 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118 $(am__configure_deps)
119 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120 configure.lineno config.status.lineno
121 CONFIG_CLEAN_FILES =
122 CONFIG_CLEAN_VPATH_FILES =
123 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
124 PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
125 buildid_SOURCES = buildid.c
126 buildid_OBJECTS = buildid.$(OBJEXT)
127 buildid_LDADD = $(LDADD)
128 cgo_SOURCES = cgo.c
129 cgo_OBJECTS = cgo.$(OBJEXT)
130 cgo_LDADD = $(LDADD)
131 go_SOURCES = go.c
132 go_OBJECTS = go.$(OBJEXT)
133 go_LDADD = $(LDADD)
134 gofmt_SOURCES = gofmt.c
135 gofmt_OBJECTS = gofmt.$(OBJEXT)
136 gofmt_LDADD = $(LDADD)
137 test2json_SOURCES = test2json.c
138 test2json_OBJECTS = test2json.$(OBJEXT)
139 test2json_LDADD = $(LDADD)
140 vet_SOURCES = vet.c
141 vet_OBJECTS = vet.$(OBJEXT)
142 vet_LDADD = $(LDADD)
143 AM_V_P = $(am__v_P_@AM_V@)
144 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
145 am__v_P_0 = false
146 am__v_P_1 = :
147 AM_V_GEN = $(am__v_GEN_@AM_V@)
148 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
149 am__v_GEN_0 = @echo " GEN " $@;
150 am__v_GEN_1 =
151 AM_V_at = $(am__v_at_@AM_V@)
152 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
153 am__v_at_0 = @
154 am__v_at_1 =
155 DEFAULT_INCLUDES = -I.@am__isrc@
156 depcomp = $(SHELL) $(top_srcdir)/../depcomp
157 am__depfiles_maybe = depfiles
158 am__mv = mv -f
159 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
160 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
161 AM_V_CC = $(am__v_CC_@AM_V@)
162 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
163 am__v_CC_0 = @echo " CC " $@;
164 am__v_CC_1 =
165 CCLD = $(CC)
166 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
167 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
168 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
169 am__v_CCLD_0 = @echo " CCLD " $@;
170 am__v_CCLD_1 =
171 SOURCES = buildid.c cgo.c go.c gofmt.c test2json.c vet.c
172 am__can_run_installinfo = \
173 case $$AM_UPDATE_INFO_DIR in \
174 n|no|NO) false;; \
175 *) (install-info --version) >/dev/null 2>&1;; \
176 esac
177 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
178 am__vpath_adj = case $$p in \
179 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
180 *) f=$$p;; \
181 esac;
182 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
183 am__install_max = 40
184 am__nobase_strip_setup = \
185 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
186 am__nobase_strip = \
187 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
188 am__nobase_list = $(am__nobase_strip_setup); \
189 for p in $$list; do echo "$$p $$p"; done | \
190 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
191 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
192 if (++n[$$2] == $(am__install_max)) \
193 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
194 END { for (dir in files) print dir, files[dir] }'
195 am__base_list = \
196 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
197 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
198 am__uninstall_files_from_dir = { \
199 test -z "$$files" \
200 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
201 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
202 $(am__cd) "$$dir" && rm -f $$files; }; \
204 man1dir = $(mandir)/man1
205 NROFF = nroff
206 MANS = $(man_MANS)
207 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
208 # Read a list of newline-separated strings from the standard input,
209 # and print each of them once, without duplicates. Input order is
210 # *not* preserved.
211 am__uniquify_input = $(AWK) '\
212 BEGIN { nonempty = 0; } \
213 { items[$$0] = 1; nonempty = 1; } \
214 END { if (nonempty) { for (i in items) print i; }; } \
216 # Make sure the list of sources is unique. This is necessary because,
217 # e.g., the same source file might be shared among _SOURCES variables
218 # for different programs/libraries.
219 am__define_uniq_tagged_files = \
220 list='$(am__tagged_files)'; \
221 unique=`for i in $$list; do \
222 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
223 done | $(am__uniquify_input)`
224 ETAGS = etags
225 CTAGS = ctags
226 CSCOPE = cscope
227 AM_RECURSIVE_TARGETS = cscope
228 ACLOCAL = @ACLOCAL@
229 AMTAR = @AMTAR@
230 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
231 AUTOCONF = @AUTOCONF@
232 AUTOHEADER = @AUTOHEADER@
233 AUTOMAKE = @AUTOMAKE@
234 AWK = @AWK@
235 CC = @CC@
236 CCDEPMODE = @CCDEPMODE@
237 CFLAGS = @CFLAGS@
238 CPPFLAGS = @CPPFLAGS@
239 CYGPATH_W = @CYGPATH_W@
240 DEFS = @DEFS@
241 DEPDIR = @DEPDIR@
242 ECHO_C = @ECHO_C@
243 ECHO_N = @ECHO_N@
244 ECHO_T = @ECHO_T@
245 EXEEXT = @EXEEXT@
246 GCC_FOR_TARGET = @GCC_FOR_TARGET@
247 GOC = @GOC@
248 GOC_FOR_TARGET = @GOC_FOR_TARGET@
249 GOFLAGS = @GOFLAGS@
250 INSTALL = @INSTALL@
251 INSTALL_DATA = @INSTALL_DATA@
252 INSTALL_PROGRAM = @INSTALL_PROGRAM@
253 INSTALL_SCRIPT = @INSTALL_SCRIPT@
254 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
255 LDFLAGS = @LDFLAGS@
256 LIBOBJS = @LIBOBJS@
257 LIBS = @LIBS@
258 LTLIBOBJS = @LTLIBOBJS@
259 MAINT = @MAINT@
260 MAKEINFO = @MAKEINFO@
261 MKDIR_P = @MKDIR_P@
262 NET_LIBS = @NET_LIBS@
263 OBJEXT = @OBJEXT@
264 PACKAGE = @PACKAGE@
265 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
266 PACKAGE_NAME = @PACKAGE_NAME@
267 PACKAGE_STRING = @PACKAGE_STRING@
268 PACKAGE_TARNAME = @PACKAGE_TARNAME@
269 PACKAGE_URL = @PACKAGE_URL@
270 PACKAGE_VERSION = @PACKAGE_VERSION@
271 PATH_SEPARATOR = @PATH_SEPARATOR@
272 SET_MAKE = @SET_MAKE@
273 SHELL = @SHELL@
274 STRIP = @STRIP@
275 VERSION = @VERSION@
276 abs_builddir = @abs_builddir@
277 abs_srcdir = @abs_srcdir@
278 abs_top_builddir = @abs_top_builddir@
279 abs_top_srcdir = @abs_top_srcdir@
280 ac_ct_CC = @ac_ct_CC@
281 am__include = @am__include@
282 am__leading_dot = @am__leading_dot@
283 am__quote = @am__quote@
284 am__tar = @am__tar@
285 am__untar = @am__untar@
286 bindir = @bindir@
287 build = @build@
288 build_alias = @build_alias@
289 build_cpu = @build_cpu@
290 build_noncanonical = @build_noncanonical@
291 build_os = @build_os@
292 build_vendor = @build_vendor@
293 builddir = @builddir@
294 datadir = @datadir@
295 datarootdir = @datarootdir@
296 docdir = @docdir@
297 dvidir = @dvidir@
298 exec_prefix = @exec_prefix@
299 host = @host@
300 host_alias = @host_alias@
301 host_cpu = @host_cpu@
302 host_noncanonical = @host_noncanonical@
303 host_os = @host_os@
304 host_vendor = @host_vendor@
305 htmldir = @htmldir@
306 includedir = @includedir@
307 infodir = @infodir@
308 install_sh = @install_sh@
309 libdir = @libdir@
310 libexecdir = @libexecdir@
311 localedir = @localedir@
312 localstatedir = @localstatedir@
313 mandir = @mandir@
314 mkdir_p = @mkdir_p@
315 oldincludedir = @oldincludedir@
316 pdfdir = @pdfdir@
317 prefix = @prefix@
318 program_transform_name = @program_transform_name@
319 psdir = @psdir@
320 sbindir = @sbindir@
321 sharedstatedir = @sharedstatedir@
322 srcdir = @srcdir@
323 sysconfdir = @sysconfdir@
324 target = @target@
325 target_alias = @target_alias@
326 target_cpu = @target_cpu@
327 target_noncanonical = @target_noncanonical@
328 target_os = @target_os@
329 target_vendor = @target_vendor@
330 top_build_prefix = @top_build_prefix@
331 top_builddir = @top_builddir@
332 top_srcdir = @top_srcdir@
333 ACLOCAL_AMFLAGS = -I ../config
334 gcc_version := $(shell $(GCC_FOR_TARGET) -dumpversion)
335 libexecsubdir = $(libexecdir)/gcc/$(target_noncanonical)/$(gcc_version)
336 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
337 PWD_COMMAND = $${PWDCMD-pwd}
338 STAMP = echo timestamp >
339 libgodir = ../$(target_noncanonical)/libgo
340 LIBGODEP = $(libgodir)/libgo.la
341 LIBGOTOOL = $(libgodir)/libgotool.a
342 @NATIVE_FALSE@GOCOMPILER = $(GOC)
344 # Use the compiler we just built.
345 @NATIVE_TRUE@GOCOMPILER = $(GOC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET)
346 GOCFLAGS = $(CFLAGS_FOR_TARGET)
347 GOCOMPILE = $(GOCOMPILER) $(GOCFLAGS)
348 AM_GOCFLAGS = -I $(libgodir)
349 AM_LDFLAGS = -L $(libgodir) -L $(libgodir)/.libs
350 GOLINK = $(GOCOMPILER) $(GOCFLAGS) $(AM_GOCFLAGS) $(LDFLAGS) $(AM_LDFLAGS) -o $@
351 libgosrcdir = $(srcdir)/../libgo/go
352 cmdsrcdir = $(libgosrcdir)/cmd
353 libgomiscdir = $(srcdir)/../libgo/misc
354 go_cmd_go_files = \
355 $(cmdsrcdir)/go/alldocs.go \
356 $(cmdsrcdir)/go/go11.go \
357 $(cmdsrcdir)/go/main.go
359 go_cmd_gofmt_files = \
360 $(cmdsrcdir)/gofmt/doc.go \
361 $(cmdsrcdir)/gofmt/gofmt.go \
362 $(cmdsrcdir)/gofmt/internal.go \
363 $(cmdsrcdir)/gofmt/rewrite.go \
364 $(cmdsrcdir)/gofmt/simplify.go
366 go_cmd_cgo_files = \
367 $(cmdsrcdir)/cgo/ast.go \
368 $(cmdsrcdir)/cgo/doc.go \
369 $(cmdsrcdir)/cgo/gcc.go \
370 $(cmdsrcdir)/cgo/godefs.go \
371 $(cmdsrcdir)/cgo/main.go \
372 $(cmdsrcdir)/cgo/out.go \
373 $(cmdsrcdir)/cgo/util.go
375 go_cmd_vet_files = \
376 $(cmdsrcdir)/vet/asmdecl.go \
377 $(cmdsrcdir)/vet/assign.go \
378 $(cmdsrcdir)/vet/atomic.go \
379 $(cmdsrcdir)/vet/bool.go \
380 $(cmdsrcdir)/vet/buildtag.go \
381 $(cmdsrcdir)/vet/cgo.go \
382 $(cmdsrcdir)/vet/composite.go \
383 $(cmdsrcdir)/vet/copylock.go \
384 $(cmdsrcdir)/vet/deadcode.go \
385 $(cmdsrcdir)/vet/dead.go \
386 $(cmdsrcdir)/vet/doc.go \
387 $(cmdsrcdir)/vet/httpresponse.go \
388 $(cmdsrcdir)/vet/lostcancel.go \
389 $(cmdsrcdir)/vet/main.go \
390 $(cmdsrcdir)/vet/method.go \
391 $(cmdsrcdir)/vet/nilfunc.go \
392 $(cmdsrcdir)/vet/print.go \
393 $(cmdsrcdir)/vet/rangeloop.go \
394 $(cmdsrcdir)/vet/shadow.go \
395 $(cmdsrcdir)/vet/shift.go \
396 $(cmdsrcdir)/vet/structtag.go \
397 $(cmdsrcdir)/vet/tests.go \
398 $(cmdsrcdir)/vet/types.go \
399 $(cmdsrcdir)/vet/unsafeptr.go \
400 $(cmdsrcdir)/vet/unused.go
402 go_cmd_buildid_files = \
403 $(cmdsrcdir)/buildid/buildid.go \
404 $(cmdsrcdir)/buildid/doc.go
406 go_cmd_test2json_files = \
407 $(cmdsrcdir)/test2json/main.go
409 GCCGO_INSTALL_NAME := $(shell echo gccgo|sed '$(program_transform_name)')
410 GCC_INSTALL_NAME := $(shell echo gcc|sed '$(program_transform_name)')
411 GXX_INSTALL_NAME := $(shell echo g++|sed '$(program_transform_name)')
412 MOSTLYCLEANFILES = \
413 zdefaultcc.go s-zdefaultcc \
414 check-gccgo check-gcc gotools.head *-testlog gotools.sum gotools.log \
415 *.sent
418 # For a native build we build the programs using the newly built libgo
419 # and install them as regular programs.
420 @NATIVE_TRUE@bin_PROGRAMS = go$(EXEEXT) gofmt$(EXEEXT)
421 @NATIVE_TRUE@noinst_PROGRAMS = cgo$(EXEEXT) vet$(EXEEXT) buildid$(EXEEXT) test2json$(EXEEXT)
422 @NATIVE_TRUE@man_MANS = go.1 gofmt.1
423 @NATIVE_TRUE@GOTESTFLAGS =
425 # Number of seconds before tests time out.
426 @NATIVE_TRUE@GOTOOLS_TEST_TIMEOUT = 480
428 # CHECK_ENV sets up the environment to run the newly built go tool.
429 # If you change this, change ECHO_ENV, below.
430 # The fl shell variable is used to avoid having FAIL appear
431 # in the log unnecessarily.
432 @NATIVE_TRUE@CHECK_ENV = \
433 @NATIVE_TRUE@ PATH=`echo $(abs_builddir):$${PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
434 @NATIVE_TRUE@ export PATH; \
435 @NATIVE_TRUE@ GCCGO="$(abs_builddir)/check-gccgo"; \
436 @NATIVE_TRUE@ export GCCGO; \
437 @NATIVE_TRUE@ CC="$(abs_builddir)/check-gcc"; \
438 @NATIVE_TRUE@ export CC; \
439 @NATIVE_TRUE@ GCCGOTOOLDIR="$(abs_builddir)"; \
440 @NATIVE_TRUE@ export GCCGOTOOLDIR; \
441 @NATIVE_TRUE@ GO_TESTING_GOTOOLS=yes; \
442 @NATIVE_TRUE@ export GO_TESTING_GOTOOLS; \
443 @NATIVE_TRUE@ abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
444 @NATIVE_TRUE@ LD_LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LD_LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
445 @NATIVE_TRUE@ export LD_LIBRARY_PATH; \
446 @NATIVE_TRUE@ GOROOT=$${abs_libgodir}; \
447 @NATIVE_TRUE@ export GOROOT; \
448 @NATIVE_TRUE@ GOCACHE=$(abs_builddir)/gocache-test; \
449 @NATIVE_TRUE@ export GOCACHE; \
450 @NATIVE_TRUE@ fl1="FA"; fl2="IL"; fl="$${fl1}$${fl2}";
453 # ECHO_ENV is a variant of CHECK_ENV to put into a testlog file.
454 # It assumes that abs_libgodir is set.
455 @NATIVE_TRUE@ECHO_ENV = PATH=`echo $(abs_builddir):$${PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'` GCCGO='$(abs_builddir)/check-gccgo' CC='$(abs_builddir)/check-gcc' GCCGOTOOLDIR='$(abs_builddir)' GO_TESTING_GOTOOLS=yes LD_LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LD_LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'` GOROOT=`echo $${abs_libgodir} GOCACHE='$(abs_builddir)/gocache-test'`
456 all: all-am
458 .SUFFIXES:
459 .SUFFIXES: .c .o .obj
460 am--refresh: Makefile
462 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
463 @for dep in $?; do \
464 case '$(am__configure_deps)' in \
465 *$$dep*) \
466 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
467 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
468 && exit 0; \
469 exit 1;; \
470 esac; \
471 done; \
472 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
473 $(am__cd) $(top_srcdir) && \
474 $(AUTOMAKE) --foreign Makefile
475 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
476 @case '$?' in \
477 *config.status*) \
478 echo ' $(SHELL) ./config.status'; \
479 $(SHELL) ./config.status;; \
480 *) \
481 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
482 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
483 esac;
485 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
486 $(SHELL) ./config.status --recheck
488 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
489 $(am__cd) $(srcdir) && $(AUTOCONF)
490 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
491 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
492 $(am__aclocal_m4_deps):
493 install-binPROGRAMS: $(bin_PROGRAMS)
494 @$(NORMAL_INSTALL)
495 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
496 if test -n "$$list"; then \
497 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
498 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
499 fi; \
500 for p in $$list; do echo "$$p $$p"; done | \
501 sed 's/$(EXEEXT)$$//' | \
502 while read p p1; do if test -f $$p \
503 ; then echo "$$p"; echo "$$p"; else :; fi; \
504 done | \
505 sed -e 'p;s,.*/,,;n;h' \
506 -e 's|.*|.|' \
507 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
508 sed 'N;N;N;s,\n, ,g' | \
509 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
510 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
511 if ($$2 == $$4) files[d] = files[d] " " $$1; \
512 else { print "f", $$3 "/" $$4, $$1; } } \
513 END { for (d in files) print "f", d, files[d] }' | \
514 while read type dir files; do \
515 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
516 test -z "$$files" || { \
517 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
518 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
520 ; done
522 uninstall-binPROGRAMS:
523 @$(NORMAL_UNINSTALL)
524 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
525 files=`for p in $$list; do echo "$$p"; done | \
526 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
527 -e 's/$$/$(EXEEXT)/' \
528 `; \
529 test -n "$$list" || exit 0; \
530 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
531 cd "$(DESTDIR)$(bindir)" && rm -f $$files
533 clean-binPROGRAMS:
534 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
536 clean-noinstPROGRAMS:
537 -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
539 @NATIVE_FALSE@buildid$(EXEEXT): $(buildid_OBJECTS) $(buildid_DEPENDENCIES) $(EXTRA_buildid_DEPENDENCIES)
540 @NATIVE_FALSE@ @rm -f buildid$(EXEEXT)
541 @NATIVE_FALSE@ $(AM_V_CCLD)$(LINK) $(buildid_OBJECTS) $(buildid_LDADD) $(LIBS)
543 @NATIVE_FALSE@cgo$(EXEEXT): $(cgo_OBJECTS) $(cgo_DEPENDENCIES) $(EXTRA_cgo_DEPENDENCIES)
544 @NATIVE_FALSE@ @rm -f cgo$(EXEEXT)
545 @NATIVE_FALSE@ $(AM_V_CCLD)$(LINK) $(cgo_OBJECTS) $(cgo_LDADD) $(LIBS)
547 @NATIVE_FALSE@go$(EXEEXT): $(go_OBJECTS) $(go_DEPENDENCIES) $(EXTRA_go_DEPENDENCIES)
548 @NATIVE_FALSE@ @rm -f go$(EXEEXT)
549 @NATIVE_FALSE@ $(AM_V_CCLD)$(LINK) $(go_OBJECTS) $(go_LDADD) $(LIBS)
551 @NATIVE_FALSE@gofmt$(EXEEXT): $(gofmt_OBJECTS) $(gofmt_DEPENDENCIES) $(EXTRA_gofmt_DEPENDENCIES)
552 @NATIVE_FALSE@ @rm -f gofmt$(EXEEXT)
553 @NATIVE_FALSE@ $(AM_V_CCLD)$(LINK) $(gofmt_OBJECTS) $(gofmt_LDADD) $(LIBS)
555 @NATIVE_FALSE@test2json$(EXEEXT): $(test2json_OBJECTS) $(test2json_DEPENDENCIES) $(EXTRA_test2json_DEPENDENCIES)
556 @NATIVE_FALSE@ @rm -f test2json$(EXEEXT)
557 @NATIVE_FALSE@ $(AM_V_CCLD)$(LINK) $(test2json_OBJECTS) $(test2json_LDADD) $(LIBS)
559 @NATIVE_FALSE@vet$(EXEEXT): $(vet_OBJECTS) $(vet_DEPENDENCIES) $(EXTRA_vet_DEPENDENCIES)
560 @NATIVE_FALSE@ @rm -f vet$(EXEEXT)
561 @NATIVE_FALSE@ $(AM_V_CCLD)$(LINK) $(vet_OBJECTS) $(vet_LDADD) $(LIBS)
563 mostlyclean-compile:
564 -rm -f *.$(OBJEXT)
566 distclean-compile:
567 -rm -f *.tab.c
569 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buildid.Po@am__quote@
570 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgo.Po@am__quote@
571 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/go.Po@am__quote@
572 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gofmt.Po@am__quote@
573 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2json.Po@am__quote@
574 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vet.Po@am__quote@
576 .c.o:
577 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
578 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
579 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
580 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
581 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
583 .c.obj:
584 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
585 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
586 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
587 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
588 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
589 install-man1: $(man_MANS)
590 @$(NORMAL_INSTALL)
591 @list1=''; \
592 list2='$(man_MANS)'; \
593 test -n "$(man1dir)" \
594 && test -n "`echo $$list1$$list2`" \
595 || exit 0; \
596 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
597 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
598 { for i in $$list1; do echo "$$i"; done; \
599 if test -n "$$list2"; then \
600 for i in $$list2; do echo "$$i"; done \
601 | sed -n '/\.1[a-z]*$$/p'; \
602 fi; \
603 } | while read p; do \
604 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
605 echo "$$d$$p"; echo "$$p"; \
606 done | \
607 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
608 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
609 sed 'N;N;s,\n, ,g' | { \
610 list=; while read file base inst; do \
611 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
612 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
613 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
614 fi; \
615 done; \
616 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
617 while read files; do \
618 test -z "$$files" || { \
619 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
620 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
621 done; }
623 uninstall-man1:
624 @$(NORMAL_UNINSTALL)
625 @list=''; test -n "$(man1dir)" || exit 0; \
626 files=`{ for i in $$list; do echo "$$i"; done; \
627 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
628 sed -n '/\.1[a-z]*$$/p'; \
629 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
630 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
631 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
633 ID: $(am__tagged_files)
634 $(am__define_uniq_tagged_files); mkid -fID $$unique
635 tags: tags-am
636 TAGS: tags
638 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
639 set x; \
640 here=`pwd`; \
641 $(am__define_uniq_tagged_files); \
642 shift; \
643 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
644 test -n "$$unique" || unique=$$empty_fix; \
645 if test $$# -gt 0; then \
646 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
647 "$$@" $$unique; \
648 else \
649 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
650 $$unique; \
651 fi; \
653 ctags: ctags-am
655 CTAGS: ctags
656 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
657 $(am__define_uniq_tagged_files); \
658 test -z "$(CTAGS_ARGS)$$unique" \
659 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
660 $$unique
662 GTAGS:
663 here=`$(am__cd) $(top_builddir) && pwd` \
664 && $(am__cd) $(top_srcdir) \
665 && gtags -i $(GTAGS_ARGS) "$$here"
666 cscope: cscope.files
667 test ! -s cscope.files \
668 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
669 clean-cscope:
670 -rm -f cscope.files
671 cscope.files: clean-cscope cscopelist
672 cscopelist: cscopelist-am
674 cscopelist-am: $(am__tagged_files)
675 list='$(am__tagged_files)'; \
676 case "$(srcdir)" in \
677 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
678 *) sdir=$(subdir)/$(srcdir) ;; \
679 esac; \
680 for i in $$list; do \
681 if test -f "$$i"; then \
682 echo "$(subdir)/$$i"; \
683 else \
684 echo "$$sdir/$$i"; \
685 fi; \
686 done >> $(top_builddir)/cscope.files
688 distclean-tags:
689 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
690 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
691 check-am: all-am
692 check: check-am
693 all-am: Makefile $(PROGRAMS) $(MANS)
694 installdirs:
695 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
696 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
697 done
698 install: install-am
699 install-exec: install-exec-am
700 install-data: install-data-am
701 uninstall: uninstall-am
703 install-am: all-am
704 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
706 installcheck: installcheck-am
707 install-strip:
708 if test -z '$(STRIP)'; then \
709 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
710 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
711 install; \
712 else \
713 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
714 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
715 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
717 mostlyclean-generic:
718 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
720 clean-generic:
722 distclean-generic:
723 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
724 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
726 maintainer-clean-generic:
727 @echo "This command is intended for maintainers to use"
728 @echo "it deletes files that may require special tools to rebuild."
729 @NATIVE_FALSE@install-exec-local:
730 @NATIVE_FALSE@uninstall-local:
731 clean: clean-am
733 clean-am: clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
734 mostlyclean-am
736 distclean: distclean-am
737 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
738 -rm -rf ./$(DEPDIR)
739 -rm -f Makefile
740 distclean-am: clean-am distclean-compile distclean-generic \
741 distclean-tags
743 dvi: dvi-am
745 dvi-am:
747 html: html-am
749 html-am:
751 info: info-am
753 info-am:
755 install-data-am: install-man
757 install-dvi: install-dvi-am
759 install-dvi-am:
761 install-exec-am: install-binPROGRAMS install-exec-local
763 install-html: install-html-am
765 install-html-am:
767 install-info: install-info-am
769 install-info-am:
771 install-man: install-man1
773 install-pdf: install-pdf-am
775 install-pdf-am:
777 install-ps: install-ps-am
779 install-ps-am:
781 installcheck-am:
783 maintainer-clean: maintainer-clean-am
784 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
785 -rm -rf $(top_srcdir)/autom4te.cache
786 -rm -rf ./$(DEPDIR)
787 -rm -f Makefile
788 maintainer-clean-am: distclean-am maintainer-clean-generic
790 mostlyclean: mostlyclean-am
792 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
793 mostlyclean-local
795 pdf: pdf-am
797 pdf-am:
799 ps: ps-am
801 ps-am:
803 uninstall-am: uninstall-binPROGRAMS uninstall-local uninstall-man
805 uninstall-man: uninstall-man1
807 .MAKE: install-am install-strip
809 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
810 clean-binPROGRAMS clean-cscope clean-generic \
811 clean-noinstPROGRAMS cscope cscopelist-am ctags ctags-am \
812 distclean distclean-compile distclean-generic distclean-tags \
813 dvi dvi-am html html-am info info-am install install-am \
814 install-binPROGRAMS install-data install-data-am install-dvi \
815 install-dvi-am install-exec install-exec-am install-exec-local \
816 install-html install-html-am install-info install-info-am \
817 install-man install-man1 install-pdf install-pdf-am install-ps \
818 install-ps-am install-strip installcheck installcheck-am \
819 installdirs maintainer-clean maintainer-clean-generic \
820 mostlyclean mostlyclean-compile mostlyclean-generic \
821 mostlyclean-local pdf pdf-am ps ps-am tags tags-am uninstall \
822 uninstall-am uninstall-binPROGRAMS uninstall-local \
823 uninstall-man uninstall-man1
825 .PRECIOUS: Makefile
828 zdefaultcc.go: s-zdefaultcc; @true
829 s-zdefaultcc: Makefile
830 echo 'package main' > zdefaultcc.go.tmp
831 echo 'func defaultGCCGO(goos, goarch string) string { return "$(bindir)/$(GCCGO_INSTALL_NAME)" }' >> zdefaultcc.go.tmp
832 echo 'func defaultCC(goos, goarch string) string { return "$(GCC_INSTALL_NAME)" }' >> zdefaultcc.go.tmp
833 echo 'func defaultCXX(goos, goarch string) string { return "$(GXX_INSTALL_NAME)" }' >> zdefaultcc.go.tmp
834 echo 'const defaultPkgConfig = "pkg-config"' >> zdefaultcc.go.tmp
835 $(SHELL) $(srcdir)/../move-if-change zdefaultcc.go.tmp zdefaultcc.go
836 $(STAMP) $@
838 mostlyclean-local:
839 -chmod -R u+w check-go-dir
840 rm -rf check-go-dir check-runtime-dir cgo-test-dir carchive-test-dir
842 @NATIVE_TRUE@go$(EXEEXT): $(go_cmd_go_files) $(LIBGOTOOL) $(LIBGODEP)
843 @NATIVE_TRUE@ $(GOLINK) $(go_cmd_go_files) $(LIBGOTOOL) $(LIBS) $(NET_LIBS)
844 @NATIVE_TRUE@gofmt$(EXEEXT): $(go_cmd_gofmt_files) $(LIBGODEP)
845 @NATIVE_TRUE@ $(GOLINK) $(go_cmd_gofmt_files) $(LIBS) $(NET_LIBS)
846 @NATIVE_TRUE@cgo$(EXEEXT): $(go_cmd_cgo_files) zdefaultcc.go $(LIBGOTOOL) $(LIBGODEP)
847 @NATIVE_TRUE@ $(GOLINK) $(go_cmd_cgo_files) zdefaultcc.go $(LIBGOTOOL) $(LIBS) $(NET_LIBS)
848 @NATIVE_TRUE@vet$(EXEEXT): $(go_cmd_vet_files) $(LIBGOTOOL) $(LIBGODEP)
849 @NATIVE_TRUE@ $(GOLINK) $(go_cmd_vet_files) $(LIBGOTOOL) $(LIBS) $(NET_LIBS)
850 @NATIVE_TRUE@buildid$(EXEEXT): $(go_cmd_buildid_files) $(LIBGOTOOL) $(LIBGODEP)
851 @NATIVE_TRUE@ $(GOLINK) $(go_cmd_buildid_files) $(LIBGOTOOL) $(LIBS) $(NET_LIBS)
852 @NATIVE_TRUE@test2json$(EXEEXT): $(go_cmd_test2json_files) $(LIBGOTOOL) $(LIBGODEP)
853 @NATIVE_TRUE@ $(GOLINK) $(go_cmd_test2json_files) $(LIBGOTOOL) $(LIBS) $(NET_LIBS)
855 @NATIVE_TRUE@install-exec-local: $(noinst_PROGRAMS)
856 @NATIVE_TRUE@ $(MKDIR_P) $(DESTDIR)$(libexecsubdir)
857 @NATIVE_TRUE@ for f in $(noinst_PROGRAMS); do \
858 @NATIVE_TRUE@ rm -f $(DESTDIR)$(libexecsubdir)/$$f; \
859 @NATIVE_TRUE@ $(INSTALL_PROGRAM) $$f $(DESTDIR)$(libexecsubdir)/$$f; \
860 @NATIVE_TRUE@ done
862 @NATIVE_TRUE@uninstall-local:
863 @NATIVE_TRUE@ for f in $(noinst_PROGRAMS); do \
864 @NATIVE_TRUE@ rm -f $(DESTDIR)$(libexecsubdir)/$$f; \
865 @NATIVE_TRUE@ done
867 # Run tests using the go tool, and frob the output to look like that
868 # generated by DejaGNU. The main output of this is two files:
869 # gotools.sum and gotools.log.
871 # check-head starts generating the log files in DejaGNU format. This
872 # is a separate target so that the date is approximately when we start
873 # running the tests.
874 @NATIVE_TRUE@check-head:
875 @NATIVE_TRUE@ @echo "Test Run By $${USER} on `date`" > gotools.head
876 @NATIVE_TRUE@ @echo "Native configuration is $(host_triplet)" >> gotools.head
877 @NATIVE_TRUE@ @echo >> gotools.head
878 @NATIVE_TRUE@ @echo " === gotools tests ===" >> gotools.head
879 @NATIVE_TRUE@ @echo >> gotools.head
881 # check-gccgo is a little shell script that executes gccgo with the
882 # options to pick up the newly built libgo and libstdc++.
883 @NATIVE_TRUE@check-gccgo: Makefile
884 @NATIVE_TRUE@ rm -f $@ $@.tmp
885 @NATIVE_TRUE@ echo "#!/bin/sh" > $@.tmp
886 @NATIVE_TRUE@ abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
887 @NATIVE_TRUE@ echo "$(GOCOMPILE)" '"$$@"' "-I $${abs_libgodir} -L $${abs_libgodir} -L $${abs_libgodir}/.libs -B$${abs_libgodir}/../libstdc++-v3/src/.libs -B$${abs_libgodir}/../libstdc++-v3/libsupc++/.libs" >> $@.tmp
888 @NATIVE_TRUE@ chmod +x $@.tmp
889 @NATIVE_TRUE@ mv -f $@.tmp $@
891 # check-gcc is a little shell script that executes the newly built gcc
892 # with the options to pick up the newly built libgo and libstdc++.
893 @NATIVE_TRUE@check-gcc: Makefile
894 @NATIVE_TRUE@ rm -f $@ $@.tmp
895 @NATIVE_TRUE@ echo "#!/bin/sh" > $@.tmp
896 @NATIVE_TRUE@ abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
897 @NATIVE_TRUE@ echo "$(GCC_FOR_TARGET)" '"$$@"' "-L $${abs_libgodir} -L $${abs_libgodir}/.libs -B$${abs_libgodir}/../libstdc++-v3/src/.libs -B$${abs_libgodir}/../libstdc++-v3/libsupc++/.libs" >> $@.tmp
898 @NATIVE_TRUE@ chmod +x $@.tmp
899 @NATIVE_TRUE@ mv -f $@.tmp $@
901 # check-go-tool runs `go test cmd/go` in our environment.
902 @NATIVE_TRUE@check-go-tool: go$(EXEEXT) $(noinst_PROGRAMS) check-head check-gccgo check-gcc
903 @NATIVE_TRUE@ -chmod -R u+w check-go-dir
904 @NATIVE_TRUE@ rm -rf check-go-dir cmd_go-testlog
905 @NATIVE_TRUE@ $(MKDIR_P) check-go-dir/src/cmd/go
906 @NATIVE_TRUE@ cp $(cmdsrcdir)/go/*.go check-go-dir/src/cmd/go/
907 @NATIVE_TRUE@ cp -r $(cmdsrcdir)/go/internal check-go-dir/src/cmd/go/
908 @NATIVE_TRUE@ cp $(libgodir)/zdefaultcc.go check-go-dir/src/cmd/go/internal/cfg/
909 @NATIVE_TRUE@ cp -r $(cmdsrcdir)/go/testdata check-go-dir/src/cmd/go/
910 @NATIVE_TRUE@ cp -r $(cmdsrcdir)/internal check-go-dir/src/cmd/
911 @NATIVE_TRUE@ cp $(libgodir)/objabi.go check-go-dir/src/cmd/internal/objabi/
912 @NATIVE_TRUE@ @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
913 @NATIVE_TRUE@ abs_checkdir=`cd check-go-dir && $(PWD_COMMAND)`; \
914 @NATIVE_TRUE@ echo "cd check-go-dir/src/cmd/go && $(ECHO_ENV) GOPATH=$${abs_checkdir} $(abs_builddir)/go$(EXEEXT) test -test.short -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v" > cmd_go-testlog
915 @NATIVE_TRUE@ $(CHECK_ENV) \
916 @NATIVE_TRUE@ GOPATH=`cd check-go-dir && $(PWD_COMMAND)`; \
917 @NATIVE_TRUE@ export GOPATH; \
918 @NATIVE_TRUE@ (cd check-go-dir/src/cmd/go && $(abs_builddir)/go$(EXEEXT) test -test.short -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v) >> cmd_go-testlog 2>&1 || echo "--- $${fl}: go test cmd/go (0.00s)" >> cmd_go-testlog
919 @NATIVE_TRUE@ grep '^--- ' cmd_go-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' | sort -k 2
921 # check-runtime runs `go test runtime` in our environment.
922 # The runtime package is also tested as part of libgo,
923 # but the runtime tests use the go tool heavily, so testing
924 # here too will catch more problems.
925 @NATIVE_TRUE@check-runtime: go$(EXEEXT) $(noinst_PROGRAMS) check-head check-gccgo check-gcc
926 @NATIVE_TRUE@ rm -rf check-runtime-dir runtime-testlog
927 @NATIVE_TRUE@ $(MKDIR_P) check-runtime-dir
928 @NATIVE_TRUE@ @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
929 @NATIVE_TRUE@ LD_LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LD_LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
930 @NATIVE_TRUE@ GOARCH=`$(abs_builddir)/go$(EXEEXT) env GOARCH`; \
931 @NATIVE_TRUE@ GOOS=`$(abs_builddir)/go$(EXEEXT) env GOOS`; \
932 @NATIVE_TRUE@ files=`$(SHELL) $(libgosrcdir)/../match.sh --goarch=$${GOARCH} --goos=$${GOOS} --srcdir=$(libgosrcdir)/runtime --extrafiles="$(libgodir)/runtime_sysinfo.go $(libgodir)/sigtab.go" --tag=libffi`; \
933 @NATIVE_TRUE@ echo "$(ECHO_ENV) GC='$(abs_builddir)/check-gccgo -fgo-compiling-runtime' GOARCH=$${GOARCH} GOOS=$${GOOS} $(SHELL) $(libgosrcdir)/../testsuite/gotest --goarch=$${GOARCH} --goos=$${GOOS} --basedir=$(libgosrcdir)/.. --srcdir=$(libgosrcdir)/runtime --pkgpath=runtime --pkgfiles='$${files}' $(GOTESTFLAGS) -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v" > runtime-testlog
934 @NATIVE_TRUE@ $(CHECK_ENV) \
935 @NATIVE_TRUE@ GC="$${GCCGO} -fgo-compiling-runtime"; \
936 @NATIVE_TRUE@ export GC; \
937 @NATIVE_TRUE@ GOARCH=`$(abs_builddir)/go$(EXEEXT) env GOARCH`; \
938 @NATIVE_TRUE@ GOOS=`$(abs_builddir)/go$(EXEEXT) env GOOS`; \
939 @NATIVE_TRUE@ files=`$(SHELL) $(libgosrcdir)/../match.sh --goarch=$${GOARCH} --goos=$${GOOS} --srcdir=$(libgosrcdir)/runtime --extrafiles="$(libgodir)/runtime_sysinfo.go $(libgodir)/sigtab.go" --tag=libffi`; \
940 @NATIVE_TRUE@ $(SHELL) $(libgosrcdir)/../testsuite/gotest --goarch=$${GOARCH} --goos=$${GOOS} --basedir=$(libgosrcdir)/.. --srcdir=$(libgosrcdir)/runtime --pkgpath=runtime --pkgfiles="$${files}" $(GOTESTFLAGS) -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v >> runtime-testlog 2>&1 || echo "--- $${fl}: go test runtime (0.00s)" >> runtime-testlog
941 @NATIVE_TRUE@ grep '^--- ' runtime-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' | sort -k 2
943 # check-cgo-test runs `go test misc/cgo/test` in our environment.
944 @NATIVE_TRUE@check-cgo-test: go$(EXEEXT) $(noinst_PROGRAMS) check-head check-gccgo check-gcc
945 @NATIVE_TRUE@ rm -rf cgo-test-dir cgo-testlog
946 @NATIVE_TRUE@ $(MKDIR_P) cgo-test-dir/misc/cgo
947 @NATIVE_TRUE@ cp -r $(libgomiscdir)/cgo/test cgo-test-dir/misc/cgo/
948 @NATIVE_TRUE@ @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
949 @NATIVE_TRUE@ echo "cd cgo-test-dir/misc/cgo/test && $(ECHO_ENV) GOTRACEBACK=2 $(abs_builddir)/go$(EXEEXT) test -test.short -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v" > cgo-testlog
950 @NATIVE_TRUE@ $(CHECK_ENV) \
951 @NATIVE_TRUE@ GOTRACEBACK=2; \
952 @NATIVE_TRUE@ export GOTRACEBACK; \
953 @NATIVE_TRUE@ (cd cgo-test-dir/misc/cgo/test && $(abs_builddir)/go$(EXEEXT) test -test.short -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v) >> cgo-testlog 2>&1 || echo "--- $${fl}: go test misc/cgo/test (0.00s)" >> cgo-testlog
954 @NATIVE_TRUE@ grep '^--- ' cgo-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' | sort -k 2
956 # check-carchive-test runs `go test misc/cgo/testcarchive/carchive_test.go`
957 # in our environment.
958 @NATIVE_TRUE@check-carchive-test: go$(EXEEXT) $(noinst_PROGRAMS) check-head check-gccgo check-gcc
959 @NATIVE_TRUE@ rm -rf carchive-test-dir carchive-testlog
960 @NATIVE_TRUE@ $(MKDIR_P) carchive-test-dir/misc/cgo
961 @NATIVE_TRUE@ cp -r $(libgomiscdir)/cgo/testcarchive carchive-test-dir/misc/cgo/
962 @NATIVE_TRUE@ @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
963 @NATIVE_TRUE@ echo "cd carchive-test-dir/misc/cgo/testcarchive && $(ECHO_ENV) LIBRARY_PATH=`echo $${abs_libgodir}/.libs` $(abs_builddir)/go$(EXEEXT) test -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v carchive_test.go" > carchive-testlog
964 @NATIVE_TRUE@ $(CHECK_ENV) \
965 @NATIVE_TRUE@ LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
966 @NATIVE_TRUE@ export LIBRARY_PATH; \
967 @NATIVE_TRUE@ (cd carchive-test-dir/misc/cgo/testcarchive && $(abs_builddir)/go$(EXEEXT) test -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v carchive_test.go) >> carchive-testlog 2>&1 || echo "--- $${fl}: go test misc/cgo/testcarchive (0.00s)" >> carchive-testlog
968 @NATIVE_TRUE@ grep '^--- ' carchive-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' | sort -k 2
970 # check-vet runs `go test cmd/vet` in our environment.
971 @NATIVE_TRUE@check-vet: go$(EXEEXT) $(noinst_PROGRAMS) check-head check-gccgo check-gcc
972 @NATIVE_TRUE@ rm -rf check-vet-dir cmd_vet-testlog
973 @NATIVE_TRUE@ $(MKDIR_P) check-vet-dir/src/cmd/internal
974 @NATIVE_TRUE@ cp -r $(cmdsrcdir)/vet check-vet-dir/src/cmd/
975 @NATIVE_TRUE@ cp -r $(cmdsrcdir)/internal/objabi check-vet-dir/src/cmd/internal
976 @NATIVE_TRUE@ cp $(libgodir)/objabi.go check-vet-dir/src/cmd/internal/objabi/
977 @NATIVE_TRUE@ @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
978 @NATIVE_TRUE@ abs_checkdir=`cd check-vet-dir && $(PWD_COMMAND)`; \
979 @NATIVE_TRUE@ echo "cd check-vet-dir/src/cmd/vet && $(ECHO_ENV) GOPATH=$${abs_checkdir} $(abs_builddir)/go$(EXEEXT) test -test.short -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v" > cmd_vet-testlog
980 @NATIVE_TRUE@ $(CHECK_ENV) \
981 @NATIVE_TRUE@ GOPATH=`cd check-vet-dir && $(PWD_COMMAND)`; \
982 @NATIVE_TRUE@ export GOPATH; \
983 @NATIVE_TRUE@ (cd check-vet-dir/src/cmd/vet && $(abs_builddir)/go$(EXEEXT) test -test.short -test.timeout=$(GOTOOLS_TEST_TIMEOUT)s -test.v) >> cmd_vet-testlog 2>&1 || echo "--- $${fl}: go test cmd/vet (0.00s)" >> cmd_vet-testlog
984 @NATIVE_TRUE@ grep '^--- ' cmd_vet-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' | sort -k 2
986 # The check targets runs the tests and assembles the output files.
987 @NATIVE_TRUE@check: check-head check-go-tool check-runtime check-cgo-test check-carchive-test check-vet
988 @NATIVE_TRUE@ @mv gotools.head gotools.sum
989 @NATIVE_TRUE@ @cp gotools.sum gotools.log
990 @NATIVE_TRUE@ @for file in cmd_go-testlog runtime-testlog cgo-testlog carchive-testlog cmd_vet-testlog; do \
991 @NATIVE_TRUE@ testname=`echo $${file} | sed -e 's/-testlog//' -e 's|_|/|'`; \
992 @NATIVE_TRUE@ echo "Running $${testname}" >> gotools.sum; \
993 @NATIVE_TRUE@ echo "Running $${testname}" >> gotools.log; \
994 @NATIVE_TRUE@ sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' < $${file} >> gotools.log; \
995 @NATIVE_TRUE@ grep '^--- ' $${file} | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' -e 's/SKIP/UNTESTED/' | sort -k 2 >> gotools.sum; \
996 @NATIVE_TRUE@ done
997 @NATIVE_TRUE@ @echo >> gotools.sum
998 @NATIVE_TRUE@ @echo " === gotools Summary ===" >> gotools.sum
999 @NATIVE_TRUE@ @pass=`grep -c '^PASS' gotools.sum`; \
1000 @NATIVE_TRUE@ if test "$${pass}" -ne "0"; then \
1001 @NATIVE_TRUE@ echo "# of expected passes $${pass}" >> gotools.sum; \
1002 @NATIVE_TRUE@ fi
1003 @NATIVE_TRUE@ @fail=`grep -c '^FAIL' gotools.sum`; \
1004 @NATIVE_TRUE@ if test "$${fail}" -ne "0"; then \
1005 @NATIVE_TRUE@ echo "# of unexpected failures $${fail}" >> gotools.sum; \
1006 @NATIVE_TRUE@ fi
1007 @NATIVE_TRUE@ @untested=`grep -c '^UNTESTED' gotools.sum`; \
1008 @NATIVE_TRUE@ if test "$${untested}" -ne "0"; then \
1009 @NATIVE_TRUE@ echo "# of untested testcases $${untested}" >> gotools.sum; \
1010 @NATIVE_TRUE@ fi
1011 @NATIVE_TRUE@ @echo `echo $(GOC_FOR_TARGET) | sed -e 's/ .*//'` `$(GOC_FOR_TARGET) -v 2>&1 | grep " version" | sed -n -e 's/.* \(version.*$$\)/\1/p'` >> gotools.sum
1012 @NATIVE_TRUE@ @echo >> gotools.log
1013 @NATIVE_TRUE@ @echo "runtest completed at `date`" >> gotools.log
1014 @NATIVE_TRUE@ @if grep '^FAIL' gotools.sum >/dev/null 2>&1; then exit 1; fi
1016 @NATIVE_TRUE@.PHONY: check check-head check-go-tool check-runtime check-cgo-test check-carchive-test check-vet
1018 # For a non-native build we have to build the programs using a
1019 # previously built host (or build -> host) Go compiler. We should
1020 # only do this if such a compiler is available. We also need to get
1021 # the right values for GOARCH and GOOS in the default build context in
1022 # the go/build package. Figure this out later.
1024 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1025 # Otherwise a system limit (for SysV at least) may be exceeded.
1026 .NOEXPORT: